/* Copyright 2006, 2007 Columbia University */
/* This file is part of THINC.

    THINC is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    THINC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with THINC.  If not, see <http://www.gnu.org/licenses/>.
*/
import java.nio.ByteBuffer;

/**
 * @author Young Jin Yoon
 * @deprecated does not use anymore for resizing
 */
public class ThincSMsgResizeAck extends ThincSMsgResize {
	public static final int MESSAGE_TYPE = ThincProtoResize.T_RESZ_ACK;
	public static final int MESSAGE_SIZE = ThincProtoResize.T_RESZ_ACK_SIZE;
	
	public ThincSMsgResizeAck(ThincHandler h, ThincClientCanvas c) {
		super(h, c);
	}
	@Override
	public void process() throws ThincException {
		ByteBuffer bb;
		short newWidth, newHeight;
		assert(false);
		try {
			bb = handler.getMessage(MESSAGE_SIZE);
		} catch (ThincException e) {
			throw new ThincException("process: error on VideoServerFormat",e);
		}
		newWidth = bb.getShort();
		newHeight = bb.getShort();
	}

}
